// -*- Mode: C++; c-basic-offset: 2; indent-tabs-mode: nil; c-brace-offset: 0; -*-
/***************************************************************************
 *   Copyright (C) 2005 by Wilfried Huss                                   *
 *   Wilfried.Huss@gmx.at                                                  *
 *                                                                         *
 *   Copyright (C) 2006 by Stefan Kebekus                                  *
 *   kebekus@kde.org                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#ifndef EXPORT_DIALOG
#define EXPORT_DIALOG

#include "pageNumber.h"

#include <QObject>
#include <QString>
#include <QVector>

class KFileDialog;
class QCheckBox;

class ExportDialog : public QObject
{
Q_OBJECT

public:
  ExportDialog(const QString& suggestedName, const QString& filter, QWidget* _parent,
    const QList<PageNumber>& _selectedPages, unsigned int _totalPages);
  virtual ~ExportDialog();

signals:
  void exportPages(const QString&, const QList<PageNumber>&);

private slots:
  void slotOk();

private:
  QWidget* parent;

  QList<PageNumber> selectedPages;

  QCheckBox* checkbox;
  KFileDialog* saveDialog;

  unsigned int totalPages;
};

#endif
