// -*- Mode: C++; c-basic-offset: 2; indent-tabs-mode: nil; c-brace-offset: 0; -*-

/***************************************************************************
 *   Copyright (C) 2005 by Wilfried Huss                                   *
 *   Wilfried.Huss@gmx.at                                                  *
 *                                                                         *
 *   Copyright (C) 2006 by Stefan Kebekus                                  *
 *   kebekus@kde.org                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#ifndef RENDERTHREAD_H
#define RENDERTHREAD_H

#include <QThread>
#include <QPointer>

class RenderQueue;
class DocumentRenderer;

class RenderThread : public QThread
{

public:
  RenderThread(RenderQueue*);
  ~RenderThread();

  void setRenderer(DocumentRenderer*);

  /** @brief stop the execution of the thread

      By calling this function you can terminate the thread
      cleanly. The function returns after the thread has finised
      execution. */
  void stop();

protected:
  virtual void run();

private:
  // The thread terminates cleanly as soon as this flag is set to
  // true.
  bool stopRequested;

  RenderQueue* renderQueue;
  QPointer<DocumentRenderer> renderer;
};

#endif
